Package org.gradle.tooling.model.idea

# Interface IdeaSourceDirectory

All Superinterfaces:
  `SourceDirectory`

public interface IdeaSourceDirectory extends SourceDirectory
IDEA source directory.

Since:
  1.0-milestone-5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isGenerated()`
  Return `true` if this source directory is generated.

  ### Methods inherited from interface org.gradle.tooling.model.SourceDirectory

  `getDirectory`

- ## Method Details

  - ### isGenerated

    boolean isGenerated()
    Return `true` if this source directory is generated.
    Returns:
      true if source directory is generated
    Since:
      2.2